1. Management API
GY Docs
  • Documentation
  • Authentication API
    • Login
      POST
    • Sign Up
      POST
    • Google Authentication
      GET
  • Users API
    • List Users
      GET
    • List Users (Public)
      GET
    • Remove User
      DELETE
    • Get User Profile
      GET
    • Set Profile
      PUT
    • Get Username
      GET
    • Update Username
      PATCH
    • Get Email
      GET
    • Get Picture
      GET
    • Update Picture
      PATCH
    • Get Phone Number
      GET
    • Update Phone Number
      PATCH
    • Update Password
      PATCH
    • Get Metadata
      GET
    • Refresh API Key
      PATCH
  • Management API
    • List Users
      GET
    • Set Profile
      PUT
    • Remove User
      DELETE
    • Get Full Metadata
      GET
GY Accounts
GY BooksHeralds of Chaos
GY Accounts
GY BooksHeralds of Chaos
  1. Management API

Set Profile

PUT
https://api.gycoding.com/accounts/management/user/{profileId}/profile
Updates user's profile entirely.

Request

Path Params

Header Params

Body Params application/json

Example
{
    "username": "test",
    "email": "test-email",
    "picture": "some-link",
    "phoneNumber": "+34 123456789"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.gycoding.com/accounts/management/user//profile' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
    "username": "test",
    "email": "test-email",
    "picture": "some-link",
    "phoneNumber": "+34 123456789"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "username": "string",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "phoneNumber": "string",
    "roles": [
        "COMMON"
    ],
    "picture": "http://example.com",
    "email": "user@example.com",
    "apiKey": "string"
}
🔵304Not Modified
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠405Method Not Allowed
🔴500Internal Error
Previous
List Users
Next
Remove User
Built with